org.apache.cassandra.net

## Class CallbackInfo

- java.lang.Object
- - org.apache.cassandra.net.CallbackInfo

Direct Known Subclasses:
  WriteCallbackInfo

    public class CallbackInfo
    extends java.lang.Object

Encapsulates the callback information. The ability to set the message is useful in cases for when a hint needs to be written due to a timeout in the response from a replica.

### Field Summary

Fields
`protected IAsyncCallback` `callback`
`protected IVersionedSerializer<?>` `serializer`
`protected java.net.InetAddress` `target`

### Constructor Summary

Constructors
Constructor and Description
`CallbackInfo(java.net.InetAddress target, IAsyncCallback callback, IVersionedSerializer<?> serializer, boolean failureCallback)` Create CallbackInfo without sent message

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isFailureCallback()`
`boolean` `shouldHint()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### target

    protected final java.net.InetAddress target

#### callback

    protected final IAsyncCallback callback

#### serializer

    protected final IVersionedSerializer<?> serializer

### Constructor Detail

#### CallbackInfo

    public CallbackInfo(java.net.InetAddress target,
                        IAsyncCallback callback,
                        IVersionedSerializer<?> serializer,
                        boolean failureCallback)

Create CallbackInfo without sent message

Parameters:
  `target` - target to send message
  `callback` -
  `serializer` - serializer to deserialize response message
  `failureCallback` - True when we have a callback to handle failures

### Method Detail

#### shouldHint

    public boolean shouldHint()

#### isFailureCallback

    public boolean isFailureCallback()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`